This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 876132 - Remote agent install form requires the ins. path to be non-empty, but the tooltip says it can be empty
Remote agent install form requires the ins. path to be non-empty, but the too...
Status: ASSIGNED
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.5
All All
unspecified Severity low (vote)
: ---
: ---
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-13 07:21 EST by Jirka Kremser
Modified: 2015-09-02 20:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (294.36 KB, image/png)
2012-11-13 07:21 EST, Jirka Kremser
no flags Details

  None (edit)
Description Jirka Kremser 2012-11-13 07:21:26 EST
Created attachment 644082 [details]
screenshot

Description of problem:
Remote agent install form requires the ins. path to be non-empty (the field is required for the form validation), but the tooltip says it can be empty in order for some "common locations" for agent install to be used.


Version-Release number of selected component (if applicable):
RHQ 4.5.0-SNAPSHOT


How reproducible:
always

Steps to Reproduce:
1. navigate to Administration -> Topology -> Remote Agent Install
2. fill in some values and leave the Agent Install Path blank
3. press Install Agent button
  
Actual results:
form validation reports the required field is empty

Expected results:
Entailing from the tooltip, the "common locations" should be searched on the host for an agent install.
Comment 1 Jirka Kremser 2013-03-28 09:28:36 EDT
fixed in master 56b6e3c7e
Comment 2 Jirka Kremser 2013-03-28 12:46:02 EDT
28ee366c1
Comment 3 Armine Hovsepyan 2013-05-27 09:13:49 EDT
reopened.

Installation of agent without giving agent install path installs agent under home/${user}/null/rhq-agent with no pid , thus it is possible to start the same agent from "remote agent install" which creates pid.

Note You need to log in before you can comment on or make changes to this bug.